#
# spec file for package gimp (Version 2.2.13)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit a2ps aaa_base aalib aalib-devel acl alsa alsa-devel atk atk-devel attr audiofile audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups cups-client cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs esound expat file filesystem fillup findutils flex fontconfig fontconfig-devel foomatic-filters freetype2 freetype2-devel gail gail-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel ghostscript-mini glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gnome-icon-theme gnome-keyring gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gtk2-devel gtkdoc gzip hal hal-devel info insserv intltool iso_ent klogd krb5 less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libcom_err libcroco libcroco-devel libdrm libexif libgcc41 libgcrypt libgimpprint libgimpprint-devel libglade2 libgnome libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprintui libgnomesu libgnomeui libgpg-error libgsf libgsf-devel libgsf-gnome libgtkhtml libgtkhtml-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libpng libpng-devel librsvg librsvg-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libusb libvolume_id libwmf libwmf-devel libwmf-gnome libxcrypt libxml2 libxml2-devel libxslt libzio linux-kernel-headers m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openslp opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig pm-utils pmtools popt popt-devel postfix procinfo procps psmisc pwdutils python python-cairo python-cairo-devel python-devel python-gobject2 python-gobject2-devel python-gtk python-gtk-devel python-numeric rcs readline resmgr rpm sed shared-mime-info slang slang-devel sqlite strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           gimp
#!BuildIgnore: sendmail
BuildRequires:  aalib-devel alsa-devel cups cups-devel gcc-c++ gnome-common gtkdoc intltool libexif libgimpprint libgimpprint-devel libgtkhtml-devel libmng-devel librsvg-devel libtiff-devel libwmf-devel perl-XML-Parser postfix python-devel slang-devel update-desktop-files
%if %suse_version > 1010
BuildRequires:  python-gtk-devel
%else
BuildRequires:  python-gtk
%endif
URL:            http://www.gimp.org/
%define sysconfdir	/etc
%define prefix /opt/gnome
Version:        2.2.13
Release:        35
License:        GPL v2 or later
Group:          Productivity/Graphics/Bitmap Editors
Provides:       gimp2 gimp-2.0
Obsoletes:      libgimp gimp2-svg gimp2
Autoreqprov:    on
%if %suse_version > 1000
Suggests:       AdobeICCProfiles
%endif
Summary:        The GNU Image Manipulation Program
Source:         ftp://ftp.gimp.org/pub/gimp/v2.2/%{name}-%{version}.tar.bz2
Source1:        gimp-logo.png
Source2:        gimp-splash.png
Patch:          gimp-default-browser.patch
Patch1:         gimp-sunras-overflow.patch
Patch2:         gimp-psd-overflow.patch
Patch3:         gimp-validate-size-values.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GIMP (GNU Image Manipulation Program) is a powerful image
composition and editing program, which can be extremely useful for
creating logos and other graphics for Web pages.  The GIMP has many of
the tools and filters you would expect to find in similar commercial
offerings and some interesting extras as well. The GIMP provides a
large image manipulation toolbox, including channel operations and
layers, effects, subpixel imaging and antialiasing, and conversions,
all with multilevel undo.

The GIMP includes a scripting facility, but many of the included
scripts rely on fonts that we cannot distribute.  The GIMP FTP site has
a package of fonts that you can install by yourself, which includes all
the fonts needed to run the included scripts.  Some of the fonts have
unusual licensing requirements; all the licenses are documented in the
package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are
so inclined.  Alternatively, choose fonts which exist on your system
before running the scripts.

Install the GIMP if you need a powerful image manipulation program.



Authors:
--------
    Spencer Kimball
    Peter Mattis
    Lauri Alanko
    Shawn Amundson
    Sven Anders
    Karl-Johan Andersson
    John Beale
    Zach Beane
    Tom Bech
    Marc Bless
    Edward Blevins
    Reagan Blundell
    Xavier Bouchoux
    Roberto Boyd
    Stanislav Brabec
    Robert Brady
    Hans Breuer
    Simon Budig
    Carey Bunks
    Seth Burgess
    Brent Burton
    Francisco Bustamante
    Albert Cahalan
    Sean Cier
    Winston Chang
    Kenneth Christiansen
    Zbigniew Chyla
    Ed Connel
    Piers Cornwell
    Daniel Cotting
    Jay Cox
    Brian Degenhardt
    Gert Dewit
    Andreas Dilger
    Austin Donnelly
    Scott Draves
    Daniel Dunbar
    Misha Dynin
    Daniel Egger
    Morton Eriksen
    Larry Ewing
    Nick Fetchak
    Valek Filippov
    David Forsyth
    Raphael Francois
    Jochen Friedrich
    Sami Gerdt
    Jim Geuther
    Graeme Gill
    Scott Goehring
    Heiko Goller
    Marcelo de Gomensoro Malheiros
    Pavel Grinfeld
    Michael Hammel
    Henrik Hansen
    Ville Hautamaki
    James Henstridge
    Eric Hernes
    David Hodson
    Christoph Hoegl
    Wolfgang Hofer
    Jan Hubicka
    Andreas Hyden
    Ben Jackson
    Krzysztof Jakubowski
    Simon Janes
    Tim Janik
    Fellmann Joaquim
    Andrew Kieschnick
    Peter Kirchgessner
    Philipp Klaus
    David Koblas
    Robert L Krawitz
    Tuomas Kuosmanen
    Karin Kylander
    Olof S Kylander
    Karl La Rocca
    Chris Lahey
    Nick Lamb
    Marco Lamberto
    Jens Lautenbacher
    Laramie Leavitt
    Elliot Lee
    Marc Lehmann
    Ray Lehtiniemi
    Raph Levien
    Wing Tung Leung
    Adrian Likins
    Tor Lillqvist
    Ingo Luetkebohle
    Josh MacDonald
    Ed Mackey
    Vidar Madsen
    Ian Main
    Kjartan Maraas
    Kelly Martin
    Torsten Martinsen
    Gordon Matzigkeit
    Gregory McLean
    Daniele Medri
    Federico Mena Quintero
    James Mitchell
    Hirotsuna Mizuno
    David Monniaux
    Adam D Moss
    Balazs Nagy
    Yukihiro Nakai
    Sung-Hyun Nam
    Shuji Narazaki
    Felix Natter
    Michael Natterer
    David Neary
    Sven Neumann
    Stephen Robert Norris
    Tim Newsome
    Erik Nygren
    Miles O'Neal
    David Neary
    David Necas
    David Odin
    Thom van Os
    Garry R. Osgood
    Alan Paeth
    Jay Painter
    Sergey Panov
    Ville Patsi
    Asbjorn Pettersen
    Mike Phillips
    Artur Polaczynski
    Raphael Quinet
    Tom Rathborne
    Vincent Renardias
    Jens Restemeier
    Maurits Rijk
    Daniel Risacher
    James Robinson
    Guillermo S. Romero
    Tim Rowley
    Pablo Saratxaga
    Mike Schaeffer
    John Schlag
    Norbert Schmitz
    Thorsten Schnier
    Alexander Schulz
    Tracy Scott
    Craig Setera
    Aaron Sherman
    Manish Singh
    Daniel Skarda
    Adam Spiers
    Jakub Steiner
    Nathan Summers
    Mike Sweet
    Yuri Syrota
    Eiichi Takamori
    Tristan Tarrant
    Michael Taylor
    Owen Taylor
    Ian Tester
    Andy Thomas
    Kevin Turner
    Rebecca Walter
    Martin Weber
    James Wang
    Kris Wehner
    Nigel Wetten
    Calvin Williamson
    Matthew Wilson
    Shirasaki Yasuhiro

%debug_package
%package devel 
Summary:        GIMP Plugin and Extension Development Kit
Provides:       gimp2-devel gimp-2.0-devel
Requires:       gimp = %{version}
Requires:       gtk2-devel glib2-devel glibc-devel
Obsoletes:      gimpdev libgimpd gimp2-devel
Group:          Development/Libraries/GNOME
Autoreqprov:    on

%description devel 
Install gimp-devel if you're going to create plug-ins and/or extensions
for the GIMP.



Authors:
--------
    Spencer Kimball
    Peter Mattis
    Lauri Alanko
    Shawn Amundson
    Sven Anders
    Karl-Johan Andersson
    John Beale
    Zach Beane
    Tom Bech
    Marc Bless
    Edward Blevins
    Reagan Blundell
    Xavier Bouchoux
    Roberto Boyd
    Stanislav Brabec
    Robert Brady
    Hans Breuer
    Simon Budig
    Carey Bunks
    Seth Burgess
    Brent Burton
    Francisco Bustamante
    Albert Cahalan
    Sean Cier
    Winston Chang
    Kenneth Christiansen
    Zbigniew Chyla
    Ed Connel
    Piers Cornwell
    Daniel Cotting
    Jay Cox
    Brian Degenhardt
    Gert Dewit
    Andreas Dilger
    Austin Donnelly
    Scott Draves
    Daniel Dunbar
    Misha Dynin
    Daniel Egger
    Morton Eriksen
    Larry Ewing
    Nick Fetchak
    Valek Filippov
    David Forsyth
    Raphael Francois
    Jochen Friedrich
    Sami Gerdt
    Jim Geuther
    Graeme Gill
    Scott Goehring
    Heiko Goller
    Marcelo de Gomensoro Malheiros
    Pavel Grinfeld
    Michael Hammel
    Henrik Hansen
    Ville Hautamaki
    James Henstridge
    Eric Hernes
    David Hodson
    Christoph Hoegl
    Wolfgang Hofer
    Jan Hubicka
    Andreas Hyden
    Ben Jackson
    Krzysztof Jakubowski
    Simon Janes
    Tim Janik
    Fellmann Joaquim
    Andrew Kieschnick
    Peter Kirchgessner
    Philipp Klaus
    David Koblas
    Robert L Krawitz
    Tuomas Kuosmanen
    Karin Kylander
    Olof S Kylander
    Karl La Rocca
    Chris Lahey
    Nick Lamb
    Marco Lamberto
    Jens Lautenbacher
    Laramie Leavitt
    Elliot Lee
    Marc Lehmann
    Ray Lehtiniemi
    Raph Levien
    Wing Tung Leung
    Adrian Likins
    Tor Lillqvist
    Ingo Luetkebohle
    Josh MacDonald
    Ed Mackey
    Vidar Madsen
    Ian Main
    Kjartan Maraas
    Kelly Martin
    Torsten Martinsen
    Gordon Matzigkeit
    Gregory McLean
    Daniele Medri
    Federico Mena Quintero
    James Mitchell
    Hirotsuna Mizuno
    David Monniaux
    Adam D Moss
    Balazs Nagy
    Yukihiro Nakai
    Sung-Hyun Nam
    Shuji Narazaki
    Felix Natter
    Michael Natterer
    David Neary
    Sven Neumann
    Stephen Robert Norris
    Tim Newsome
    Erik Nygren
    Miles O'Neal
    David Neary
    David Necas
    David Odin
    Thom van Os
    Garry R. Osgood
    Alan Paeth
    Jay Painter
    Sergey Panov
    Ville Patsi
    Asbjorn Pettersen
    Mike Phillips
    Artur Polaczynski
    Raphael Quinet
    Tom Rathborne
    Vincent Renardias
    Jens Restemeier
    Maurits Rijk
    Daniel Risacher
    James Robinson
    Guillermo S. Romero
    Tim Rowley
    Pablo Saratxaga
    Mike Schaeffer
    John Schlag
    Norbert Schmitz
    Thorsten Schnier
    Alexander Schulz
    Tracy Scott
    Craig Setera
    Aaron Sherman
    Manish Singh
    Daniel Skarda
    Adam Spiers
    Jakub Steiner
    Nathan Summers
    Mike Sweet
    Yuri Syrota
    Eiichi Takamori
    Tristan Tarrant
    Michael Taylor
    Owen Taylor
    Ian Tester
    Andy Thomas
    Kevin Turner
    Rebecca Walter
    Martin Weber
    James Wang
    Kris Wehner
    Nigel Wetten
    Calvin Williamson
    Matthew Wilson
    Shirasaki Yasuhiro

%prep
#'
%setup -q
# We can ignore these warnings:
# http://gcc.gnu.org/bugzilla/show_bug.cgi?id=22197
# gimpvector.c: 1021
# curve.c: 113
# spline.c: 44
# gimpbilinear.c: 179, 132
# fit.c: 1302
%patch
%patch1
%patch2 -p1
%patch3 -p0
rm po*/no.*
sed -i "/ALL_LINGUAS=/s/ no / /" configure.in

%build
# Remove redundand Norwegian locale.
%{?suse_update_config:%{suse_update_config -f}}
#aclocal
#automake
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
./configure --prefix=%{prefix} \
	--libdir=%{prefix}/%_lib \
	--mandir=%{_mandir} \
	--sysconfdir=%{sysconfdir} \
%ifarch %ix86
	--enable-mmx \
	--enable-sse \
%endif
	--enable-mp \
	--enable-python
%ifarch %ix86
cd app/composite
# FIXME:
# gimp-composite-mmx.c: In function 'gimp_composite_burn_rgba8_rgba8_rgba8_mmx':
# gimp-composite-mmx.c:148: error: can't find a register in class 'GENERAL_REGS' while reloading 'asm'
# gimp-composite-sse.c: In function 'gimp_composite_burn_rgba8_rgba8_rgba8_sse':
# gimp-composite-sse.c:127: error: can't find a register in class 'GENERAL_REGS' while reloading 'asm'
make CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -O0" \
     libcompositemmx.a libcompositesse.a
cd ../..
%endif
make %{?jobs:-j %jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
cp -a %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/%{prefix}/share/gimp/2.0/images/
rm -rf $RPM_BUILD_ROOT/root
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/applications
ln $RPM_BUILD_ROOT/%{prefix}/share/gimp/2.0/misc/gimp.desktop \
   $RPM_BUILD_ROOT/%{prefix}/share/applications/gimp.desktop
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/application-registry
ln $RPM_BUILD_ROOT/%{prefix}/share/gimp/2.0/misc/gimp.applications \
   $RPM_BUILD_ROOT/%{prefix}/share/application-registry/gimp.applications
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/mime-info
ln $RPM_BUILD_ROOT/%{prefix}/share/gimp/2.0/misc/gimp.keys \
   $RPM_BUILD_ROOT/%{prefix}/share/mime-info/gimp.keys
%suse_update_desktop_file gimp Graphics RasterGraphics
rm $RPM_BUILD_ROOT%{prefix}/%_lib/gimp/2.0/modules/*.*a
%find_lang gimp20
%find_lang gimp20-libgimp
%find_lang gimp20-script-fu
%find_lang gimp20-std-plug-ins
cat gimp20.lang gimp20-libgimp.lang gimp20-script-fu.lang gimp20-std-plug-ins.lang >%{name}-all.lang

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-all.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* NEWS* README*
%dir %{sysconfdir}/gimp
%{sysconfdir}/gimp/2.0
%{prefix}/bin/gimp
%{prefix}/bin/gimp-*
%{prefix}/%_lib/*.so.*
%dir %{prefix}/%_lib/gimp
%dir %{prefix}/%_lib/gimp/2.0
%dir %{prefix}/%_lib/gimp/2.0/modules
%{prefix}/%_lib/gimp/2.0/environ
%{prefix}/%_lib/gimp/2.0/plug-ins
%{prefix}/%_lib/gimp/2.0/python
%{prefix}/%_lib/gimp/2.0/modules/*.so
%{prefix}/share/application-registry/gimp.applications
%{prefix}/share/applications/gimp.desktop
%{prefix}/share/mime-info/gimp.keys
%dir %{prefix}/share/gimp
%{prefix}/share/gimp/2.0
%doc /usr/share/man/man*/*.*

%files devel
%defattr(-,root,root)
%{prefix}/bin/gimptool*
%{prefix}/include/*
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/*.so
#%{prefix}/%_lib/gimp/2.0/modules/*.*a
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/share/aclocal/*.m4
%{prefix}/share/gtk-doc/html/*

%changelog
* Mon Jul 30 2007 - maw@suse.de
- Add gimp-validate-size-values.patch (#290591).
* Thu Jul 19 2007 - maw@suse.de
- Respin gimp-psd-overflow.patch (http://bugzilla.gnome.org/show_bug.cgi?id=456042
  and https://bugzilla.novell.com/show_bug.cgi?id=284288#c13).
* Wed Jul 04 2007 - maw@suse.de
- Add gimp-psd-overflow.patch (#284288 and CVE-2007-2949), fixing
  a buffer overflow.
* Fri May 04 2007 - sbrabec@suse.cz
- Fixed buffer overflow in sunras plugin (#270506, GNOME#433902,
  CVE-2007-2356).
* Thu Nov 23 2006 - sbrabec@suse.cz
- Fixed branding (#204410).
* Tue Oct 24 2006 - jhargadon@suse.de
- changed default browser to firefox to resolve bug #212722
* Thu Sep 14 2006 - sbrabec@suse.cz
- Updated to version 2.2.13:
  * Many bug fixes, see NEWS for details.
  * let gimptool use pkg-config to determine compiler and linker
  flags at run-time
  * added GTK+ category in gimp.desktop file
  * made the internal help browser the default for all platforms
  * don't use long deprecated libpng API
  * plugged a possible buffer overrun in the XCF parser
  * avoid endless looping when loading a corrupt XCF file
  * avoid a crash when loading a corrupt gradient file
- Removed dcraw hack.
* Wed Aug 16 2006 - cthiel@suse.de
- buildrequire python-gtk-devel instead of python-gtk
* Mon Aug 07 2006 - sbrabec@suse.cz
- Changed branding to SuSE Linux 10.2.
* Fri Jul 28 2006 - sbrabec@suse.cz
- Fixed buffer overflow in xcf_load_vector (CVE-2006-3404,
  [#190901], GNOME#346742).
* Thu Jun 29 2006 - nadvornik@suse.cz
- do not use deprecated libpng functions
* Wed Jun 14 2006 - schwab@suse.de
- Handle references to datarootdir variable.
- Really enable python scripting.
* Wed Mar 01 2006 - dobey@suse.de
- Update splash and logo images with new versions
* Sun Feb 19 2006 - aj@suse.de
- Reduce BuildRequires.
* Thu Jan 26 2006 - dobey@suse.de
- Add new splash and logo branding images
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - sbrabec@suse.cz
- Call aclocal to build in supplementary.
* Thu Jan 05 2006 - sbrabec@suse.cz
- Updated to version 2.2.10.
- Worked around MMX/SSE problems (#133813).
- Enabled python scripting (#141117).
- Suggest AdobeICCProfiles (#141180).
- Enabled parallel build.
* Fri Nov 18 2005 - sbrabec@suse.cz
- Moved gimptool to -devel subpackage.
* Wed Nov 09 2005 - sbrabec@suse.cz
- Better fix for MMX CFLAGS.
* Wed Nov 09 2005 - rguenther@suse.de
- Fix gimp-mmx.patch to apply and to make one more register
  available for reloading those mmx asms with -fomit-frame-pointer.
  Fixes building with gcc 4.1 on i386.
* Mon Nov 07 2005 - sbrabec@suse.cz
- Updated to version 2.2.9.
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Tue Sep 06 2005 - sbrabec@suse.cz
- Czech typo fix.
* Mon Aug 15 2005 - sbrabec@suse.cz
- Provide gimp-2.0 virtual.
* Mon Jul 11 2005 - sbrabec@suse.cz
- Updated to version 2.2.8.
- Removed unneeded static modules and .la files for modules.
* Thu Jul 07 2005 - gekker@suse.de
- Fix use of uninitialized variables
- Fix to work with -D_FORTIFY_SOURCE=2
* Tue Jun 07 2005 - sbrabec@suse.cz
- Fixed multiple processors option.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Wed May 18 2005 - sbrabec@suse.cz
- Updated to version 2.2.7.
* Tue May 10 2005 - ro@suse.de
- use -mmmx and -msse to compile asm-code for these extensions
* Tue Apr 12 2005 - sbrabec@suse.cz
- Updated to version 2.2.6.
* Wed Apr 06 2005 - sbrabec@suse.cz
- Fixed incomplete array element type.
* Mon Feb 28 2005 - sbrabec@suse.cz
- Updated to version 2.2.4.
* Mon Jan 24 2005 - sbrabec@suse.cz
- Updated to version 2.2.3.
* Mon Jan 17 2005 - sbrabec@suse.cz
- Updated to version 2.2.2.
* Thu Jan 06 2005 - ro@suse.de
- postfix is in neededforbuild, so add "-sendmail" for PLUS
* Thu Jan 06 2005 - sbrabec@suse.cz
- Updated to version 2.2.1.
* Tue Oct 26 2004 - mmj@suse.de
- locale rename no to nb
* Wed Sep 22 2004 - adrian@suse.de
- add MimeTypes line to desktop file. Gimp does support .xcf files now
* Mon Aug 30 2004 - rml@suse.de
- upgrade to gimp 2.0.4 (Ximian bug #64677)
* Fri Aug 27 2004 - shprasad@suse.de
- Fixes bug #63425
  Fixes GIMP Crash at the time of acquiring screen-shot and select
  extension type as png
- Partially fixes bug #63420
  Doesn't allow to crash.
* Mon Aug 16 2004 - shprasad@suse.de
- Fixes bug #63006.
  Added the gtk-file-chooser dialog to Open/Save a file.
* Thu Jun 17 2004 - sbrabec@suse.cz
- Updated to version 2.0.2.
* Fri Jun 04 2004 - sbrabec@suse.cz
- Updated to bugfix version 2.0.1.
* Tue May 25 2004 - ro@suse.de
- added libcroco to neededforbuild
* Wed May 19 2004 - sbrabec@suse.cz
- German translation update from Karl Eichwalder.
* Fri May 07 2004 - sbrabec@suse.cz
- Better fix (fork() instead of fail wrapper) of gimp-remote bug
  (#38512), backported from gimp-2.0.1.
  http://bugzilla.gnome.org/show_bug.cgi?id=139158
* Wed Apr 07 2004 - sbrabec@suse.cz
- Work around of gimp-remote bug (#38512).
  http://bugzilla.gnome.org/show_bug.cgi?id=139158
* Wed Apr 07 2004 - sbrabec@suse.cz
- Fixed WMF plugin (#38582).
* Thu Mar 25 2004 - mmj@suse.de
- Add postfix to # neededforbuild
* Wed Mar 24 2004 - hhetter@suse.de
- updated to version 2.0.0 finally
* Mon Mar 22 2004 - sbrabec@suse.cz
- Provide gimp2-devel.
* Mon Mar 22 2004 - sbrabec@suse.cz
- Updated to version 2.0rc1.
- GIMP GNOME MIME info files linked to proper place,
- Obsolete gimp2-devel, too.
* Fri Mar 05 2004 - hhetter@suse.de
- updated to 2.0pre4
- removed gimp-po-de.patch, it's upstream
- adapted tiff_no_lzw patch
* Tue Mar 02 2004 - sbrabec@suse.cz
- Symlink binaries for convenience.
* Tue Mar 02 2004 - sbrabec@suse.cz
- German typo fix (bug #34349).
* Fri Feb 27 2004 - schwab@suse.de
- Fix broken configure check.
* Fri Feb 20 2004 - sbrabec@suse.cz
- Provide and obsolete gimp2.
* Thu Feb 19 2004 - sbrabec@suse.cz
- Package renamed to gimp.
* Thu Feb 05 2004 - hhetter@suse.de
- updated to version 2.0pre3
- remove desktop file patch, it's called gimp2 now
* Thu Jan 29 2004 - hhetter@suse.de
- updated to version 2.0pre2
* Tue Jan 27 2004 - hhetter@suse.de
- updated to version 2.0pre1
- renew patch for LZW deactivation
* Mon Oct 20 2003 - sbrabec@suse.cz
- Updated to version 1.3.21. Fixes screenshot bug (#32288).
- Build SVG plug-in.
- Clean-up of neededforbuild.
* Wed Oct 15 2003 - ro@suse.de
- run full autoreconf
* Thu Sep 18 2003 - sbrabec@suse.cz
- Do not show LZW in tiff save dialog at all (bug #29849).
* Mon Sep 15 2003 - hhetter@suse.de
- name label "Gimp 1.3" in desktop file (Bug Id #30841)
* Mon Sep 08 2003 - sbrabec@suse.cz
- Updated to version 1.3.20.
* Thu Aug 28 2003 - sbrabec@suse.cz
- Updated to version 1.3.19.
- Enabled EXIF support.
* Sat Aug 16 2003 - adrian@suse.de
- install desktop file
* Thu Aug 14 2003 - sbrabec@suse.cz
- Updated to version 1.3.18.
* Mon Aug 04 2003 - sbrabec@suse.cz
- Updated to version 1.3.17.
* Fri Jul 25 2003 - hhetter@suse.de
- fix build
* Thu Jun 26 2003 - sbrabec@suse.cz
- Updated to version 1.3.15.
- Used system libgimpprint.
* Fri Jun 20 2003 - ro@suse.de
- added directories to filelist
* Tue Jun 10 2003 - sbrabec@suse.cz
- Initial SuSE version of GTK2 port.
